> ## Documentation Index
> Fetch the complete documentation index at: https://www.c1.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate Cel

> Validate policies



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples post /api/v1/policies/validate/cel
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/policies/validate/cel:
    post:
      tags:
        - Policy
      summary: Validate Cel
      description: Validate policies
      operationId: c1.api.policy.v1.PolicyValidate.ValidateCEL
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/c1.api.policy.v1.EditorValidateRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/c1.api.policy.v1.EditorValidateResponse'
          description: Successful response
      x-codeSamples:
        - lang: go
          label: ValidateCEL
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.PolicyValidate.ValidateCEL(ctx, nil)\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.PolicyEditorValidateResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.policyValidate.validateCEL();

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.policy.v1.EditorValidateRequest:
      description: The EditorValidateRequest message.
      properties:
        text:
          description: The text field.
          readOnly: false
          type: string
      title: Editor Validate Request
      type: object
      x-speakeasy-name-override: PolicyEditorValidateRequest
    c1.api.policy.v1.EditorValidateResponse:
      description: The EditorValidateResponse message.
      properties:
        markers:
          description: The markers field.
          items:
            $ref: '#/components/schemas/c1.api.editor.v1.EditorMarker'
          nullable: true
          readOnly: false
          type: array
      title: Editor Validate Response
      type: object
      x-speakeasy-name-override: PolicyEditorValidateResponse
    c1.api.editor.v1.EditorMarker:
      description: The EditorMarker message.
      properties:
        endColumn:
          description: The endColumn field.
          format: int32
          readOnly: false
          type: integer
        endLineNumber:
          description: The endLineNumber field.
          format: int32
          readOnly: false
          type: integer
        message:
          description: The message field.
          readOnly: false
          type: string
        severity:
          description: The severity field.
          enum:
            - UNKNOWN
            - HINT
            - INFO
            - WARNING
            - ERROR
          readOnly: false
          type: string
          x-speakeasy-unknown-values: allow
        startColumn:
          description: The startColumn field.
          format: int32
          readOnly: false
          type: integer
        startLineNumber:
          description: The startLineNumber field.
          format: int32
          readOnly: false
          type: integer
      title: Editor Marker
      type: object
      x-speakeasy-name-override: EditorMarker
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````